Bug 1586176 - [RFE][XS-2] Include file splitting for dumps/backups in appliance_console menu
Summary: [RFE][XS-2] Include file splitting for dumps/backups in appliance_console menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: MVP
: 5.10.0
Assignee: Nick LaMuro
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Depends On:
Blocks: 1581467 1586187 1597415
TreeView+ depends on / blocked
 
Reported: 2018-06-05 16:19 UTC by Nick LaMuro
Modified: 2019-02-07 23:03 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:00 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:08 UTC

Description Nick LaMuro 2018-06-05 16:19:48 UTC

Comment 3 Dave Johnson 2018-06-05 16:43:14 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 5 Nick LaMuro 2018-07-16 18:07:50 UTC
Current open PRs for this feature:

* https://github.com/ManageIQ/awesome_spawn/pull/41
* https://github.com/ManageIQ/manageiq/pull/17549
* https://github.com/ManageIQ/manageiq/pull/17652
* https://github.com/ManageIQ/manageiq-gems-pending/pull/356


Sets up some features for https://bugzilla.redhat.com/show_bug.cgi?id=1586187 as well, but will need one more PR to integrate with the `appliance_console` (still working on some QA'able steps with the current core repo PR first, however).

-Nick

Comment 6 Nick LaMuro 2018-08-01 19:22:48 UTC
Minor update to this:

Still waiting on code review for most of the PRs above, so hence why there has been little movement.

I have added one PR since then however:

https://github.com/ManageIQ/manageiq-appliance_console/pull/51

Which is not related to this fix, but fixing issues in the previous RFE's related (will update those tickets as well).  And I probably will have one more minor bug fix to add to the manangeiq-gems-pending once I validate that it is braking currently merged functionality.

I have been validating most of my changes since then using the following vagrant setup:

https://gist.github.com/NickLaMuro/8438015363d90a2d2456be650a2b9bc6


Which I have been updating regularly with fixes and changes to make it more reliable.  Possibly it is something we are already doing in CI, but I am unsure.  Regardless, something that I needed ahead of time so I could self validate the code I was running.


-Nick

Comment 7 Nick LaMuro 2018-08-03 18:55:03 UTC
Of note:

Do to some conflicting changes in a separate BZ, the underlying interface might end up having a relatively decent overhaul done to it, which is delaying this from being merged further and requires re-working of the code I had already put together.

Will report back when I have more concrete things to share, but this will now probably be delayed further.


-Nick

Comment 8 Nick LaMuro 2018-09-20 18:03:47 UTC
Some Updates:

We have merged everything that is necessary for this to work:

- https://github.com/ManageIQ/manageiq-gems-pending/pull/361
- https://github.com/ManageIQ/manageiq/pull/17894
- https://github.com/ManageIQ/manageiq-appliance_console/pull/50

Should be available in the next release of the `manageiq-appliance_console` gem, and I will update/finish this ticket when that will be available in the nightly builds.

Comment 12 CFME Bot 2018-11-06 15:47:22 UTC
New commit detected on ManageIQ/manageiq-appliance/master:

https://github.com/ManageIQ/manageiq-appliance/commit/9faaeedfd32b8456774519e6f09a156d852d8e6e
commit 9faaeedfd32b8456774519e6f09a156d852d8e6e
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Mon Nov  5 14:14:02 2018 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Mon Nov  5 14:14:02 2018 -0500

    Add console version 3.3

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1586176
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1586187
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1615488
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1632433

 manageiq-appliance-dependencies.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 13 CFME Bot 2018-11-08 17:21:46 UTC
New commit detected on ManageIQ/manageiq-appliance/hammer:

https://github.com/ManageIQ/manageiq-appliance/commit/b6b244d6b71cd26babca371c969e2447f1799ffa
commit b6b244d6b71cd26babca371c969e2447f1799ffa
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Tue Nov  6 10:45:27 2018 -0500
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Tue Nov  6 10:45:27 2018 -0500

    Merge pull request #215 from carbonin/use_version_3_3_of_the_console

    Add console version 3.3

    (cherry picked from commit ce975b028a06a43c4edc04fadf5a895015b4e874)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1586176
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1586187
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1615488
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1632433

 manageiq-appliance-dependencies.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 14 Jaroslav Henner 2018-11-21 14:57:37 UTC
This works fine.

Comment 15 errata-xmlrpc 2019-02-07 23:03:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.